# Enum CallHandleType

java.lang.Object
java.lang.Enum<CallHandleType>
com.codename1.call.CallHandleType

All Implemented Interfaces:
  `Comparable<CallHandleType>`

public enum CallHandleType extends Enum<CallHandleType>

What kind of address a `CallHandle` holds. This is the portable spelling of `CXHandleType`; Android carries the same distinction in the scheme of the `Uri` it hands Telecom.

The ordinals cross the SPI boundary, so existing constants must not be reordered.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EMAIL_ADDRESS`
  An email address.
  `GENERIC`
  A username, room name or anything else that is not a phone number or an email address.
  `PHONE_NUMBER`
  A telephone number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CallHandleType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CallHandleType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GENERIC

    public static final CallHandleType GENERIC
    A username, room name or anything else that is not a phone number or an email address. Shown verbatim.

  - ### PHONE_NUMBER

    public static final CallHandleType PHONE_NUMBER
    A telephone number. The platform may format it for display and may match it against the address book, so prefer E.164.

  - ### EMAIL_ADDRESS

    public static final CallHandleType EMAIL_ADDRESS
    An email address.

- ## Method Details

  - ### values

    public static CallHandleType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CallHandleType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null